Package org.apache.maven.scm.provider.git.gitexe.command.update

## Class GitLatestRevisionCommandConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.update.GitLatestRevisionCommandConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class GitLatestRevisionCommandConsumer
    extends AbstractConsumer

Author:
  Mark Struberg

### Constructor Summary

Constructors
`GitLatestRevisionCommandConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.lang.String` `getLatestRevision()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitLatestRevisionCommandConsumer

    public GitLatestRevisionCommandConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

#### getLatestRevision

    public java.lang.String getLatestRevision()